UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMRequest Class Reference

## Public Member Functions
| LBMRequest ()
| LBMRequest (byte[] data, int dataLength)
void | close () throws LBMException
byte[] | data ()
int | dataLength ()
void | data (byte[] data, int dataLength)
void | addResponseCallback (LBMResponseCallback cb)
void | addResponseCallback (LBMResponseCallback cb, Object cbArg)
void | removeResponseCallback (LBMResponseCallback cb)
void | removeResponseCallback (LBMResponseCallback cb, Object cbArg)

## Protected Member Functions
void | finalize () throws LBMException

## Detailed Description

LBM Request class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMRequest.LBMRequest | ( |  | ) |

Instantiate an LBM Request object

com.latencybusters.lbm.LBMRequest.LBMRequest | ( | byte [] | data,
|  | int | dataLength
| ) |  |

Instantiate an LBM Request object with a specified message data byte array and length.

Parameters

  data | A byte array containing message data.
  dataLength | An int representing the number of bytes in the message data.

References com.latencybusters.lbm.LBMRequest.data(), and com.latencybusters.lbm.LBMRequest.dataLength().

## Member Function Documentation

void com.latencybusters.lbm.LBMRequest.addResponseCallback | ( | LBMResponseCallback | cb | ) |

Register a callback to be invoked when a response is received for this request.

Parameters

  cb | Object implementing the LBMResponseCallback interface

See also
  LBMResponseCallback
  removeResponseCallback

Referenced by com.latencybusters.lbm.LBMContext.send().

void com.latencybusters.lbm.LBMRequest.addResponseCallback | ( | LBMResponseCallback | cb,
|  | Object | cbArg
| ) |  |

Register a callback to be invoked when a response is received for this request.

Parameters

  cb | Object implementing the LBMResponseCallback interface
  cbArg | Callback token object

See also
  LBMResponseCallback
  removeResponseCallback

void com.latencybusters.lbm.LBMRequest.close | ( |  | ) | throws LBMException

Close this request.

Warning: It is not safe to call this method from a context thread callback.

Exceptions

  LBMException | if any error occurs deleting the request.

Referenced by com.latencybusters.lbm.LBMRequest.finalize().

byte [] com.latencybusters.lbm.LBMRequest.data | ( |  | ) |

Get request data.

Returns
  Byte array associated with this request

Referenced by com.latencybusters.lbm.LBMRequest.data(), com.latencybusters.lbm.LBMRequest.LBMRequest(), and com.latencybusters.lbm.LBMContext.send().

void com.latencybusters.lbm.LBMRequest.data | ( | byte [] | data,
|  | int | dataLength
| ) |  |

Set request data.

Parameters

  data | Data byte array
  dataLength | Length of data byte array

References com.latencybusters.lbm.LBMRequest.data(), and com.latencybusters.lbm.LBMRequest.dataLength().

int com.latencybusters.lbm.LBMRequest.dataLength | ( |  | ) |

Get request data length

Returns
  Length of data array associated with this request

Referenced by com.latencybusters.lbm.LBMRequest.data(), com.latencybusters.lbm.LBMRequest.LBMRequest(), and com.latencybusters.lbm.LBMContext.send().

void com.latencybusters.lbm.LBMRequest.finalize | ( |  | ) | throws LBMException
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMRequest.close().

void com.latencybusters.lbm.LBMRequest.removeResponseCallback | ( | LBMResponseCallback | cb | ) |

Deregister a request response callback

Parameters

  cb | Previously registered callback object implementing the LBMResponseCallback interface

See also
  LBMResponseCallback
  addResponseCallback

void com.latencybusters.lbm.LBMRequest.removeResponseCallback | ( | LBMResponseCallback | cb,
|  | Object | cbArg
| ) |  |

Deregister a request response callback

Parameters

  cb | Previously registered callback object implementing the LBMResponseCallback interface
  cbArg | Token for previously registered callback

See also
  LBMResponseCallback
  addResponseCallback

References com.latencybusters.lbm.LBMMessage.dataBuffer(), and com.latencybusters.lbm.LBMResponseCallback.onResponse().

The documentation for this class was generated from the following file:

- LBMRequest.java